3 Replies Latest reply: Dec 4, 2012 7:12 PM by Frnch
Scandostevo Level 1 Level 1 (0 points)

I'm unable to open Airport Utility on my Windows 7 laptop because I keep getting an error message saying Airport Utility requires Windows 7 service pack 1 or later.  SP1 was already installed.  I tried deleting and reinstalling SP1 and Airport Utility still won't open.  Any ideas on how to fix this?